KGENDESIGNERPLUG(1)

kgendesignerplugin

NAME
kgendesignerplugin - Builds Qt(TM) widget plugins from an ini style description file.

SYNOPSIS

kgendesignerplugin [Qt(TM)-options] [KDE-options] file

DESCRIPTION

kgendesignerplugin builds Qt(TM) widget plugins from an ini style description file.

OPTIONS

Arguments:

file
    Input file

Options:

-o <file>
    Output file

-n <plugin name>
    Name of the plugin class to generate (deprecated, use PluginName in the input file) [WidgetsPlugin]

-g <group>
    Default widget group name to display in designer (deprecated, use DefaultGroup in the input file) [Custom]

Generic options:

--help
    Show help about options

--author
    Show author information

-v, --version
    Show version information

--license
    Show license information

SEE ALSO

http://developer.kde.org
    KDE Developer's Corner website

BUGS

Please use bugs.kde.org[1] to report bugs, do not mail the authors directly.

AUTHOR

Ian Reinhart Geiser <geiseri@kde.org>
    Author.

NOTES

1.  bugs.kde.org
    http://bugs.kde.org